1.6pre4 doesn't work with FF22 Rated 4 out of 5 stars

Has the developer abandoned this project? That would be sad...
If not, please update ASAP.

This review is for a previous version of the add-on (1.5.1).